/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interfaces.h"


namespace morpheo              {
namespace behavioural          {

#ifdef VHDL
#  ifdef VHDL_TESTBENCH

#undef  FUNCTION
#define FUNCTION "Interfaces::get_signal"
  void Interfaces::get_signal (std::list<std::string> * & list_signal)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    if (not _list_interface->empty())
      {
	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
	
	while (i != _list_interface->end())
	  {
	    (*i)->get_signal (list_signal);
	    ++i;
	  }
      }
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
#  endif
#endif

}; // end namespace behavioural          
}; // end namespace morpheo              
